Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2829043002: Move |is_static_data| check down in DetermineRevalidationPolicy (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by yhirano
Modified:
2 months ago
Reviewers:
hiroshige, Nate Chapin
CC:
chromium-reviews, tyoshino+watch_chromium.org, loading-reviews_chromium.org, gavinp+loader_chromium.org, blink-reviews, loading-reviews+fetch_chromium.org, kinuko+watch, Nate Chapin
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Move |is_static_data| check down in DetermineRevalidationPolicy This CL moves if (is_static_data) return kUse; section down in DetermineRevalidationPolicy as a preparation to factor out some |return kReload;| statements. BUG=652228, 714574 R=hiroshige@chromium.org Review-Url: https://codereview.chromium.org/2829043002 Cr-Commit-Position: refs/heads/master@{#466931} Committed: https://chromium.googlesource.com/chromium/src/+/58197789bfafee408d8fc728c0ed2f1da81bbbed

Patch Set 1 #

Patch Set 2 : fix #

Patch Set 3 : fix #

Patch Set 4 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+11 lines, -8 lines) Patch
M third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp View 1 2 3 2 chunks +11 lines, -8 lines 0 comments Download
Trybot results:  chromium_presubmit   mac_chromium_rel_ng   mac_chromium_rel_ng   linux_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   android_cronet   cast_shell_android   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe   linux_chromium_rel_ng   win_chromium_compile_dbg_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 35 (25 generated)
hiroshige
Could you explain the intention of this? Is there specific case where we want to ...
2 months, 1 week ago (2017-04-20 09:33:21 UTC) #3
yhirano
On 2017/04/20 09:33:21, hiroshige wrote: > Could you explain the intention of this? > Is ...
2 months, 1 week ago (2017-04-20 11:19:09 UTC) #13
hiroshige
On 2017/04/20 11:19:09, yhirano wrote: > On 2017/04/20 09:33:21, hiroshige wrote: > > Could you ...
2 months ago (2017-04-20 19:24:39 UTC) #16
hiroshige
Oh, adding Nate.
2 months ago (2017-04-20 23:27:06 UTC) #18
Nate Chapin
No, I don't have an existing tracking bug for DetermineRevalidationPolicy cleanup. This LGTM.
2 months ago (2017-04-21 18:21:18 UTC) #23
yhirano
Thank you. I filed https://crbug.com/714574.
2 months ago (2017-04-24 10:11:52 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2829043002/60001
2 months ago (2017-04-25 06:02:17 UTC) #28
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/437836)
2 months ago (2017-04-25 08:02:40 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2829043002/60001
2 months ago (2017-04-25 08:03:50 UTC) #32
commit-bot: I haz the power
2 months ago (2017-04-25 09:03:56 UTC) #35
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/58197789bfafee408d8fc728c0ed...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318